Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPLYWriter Class Reference

`#include <vtkPLYWriter.h>`

Inheritance diagram for vtkPLYWriter:

[legend]
Collaboration diagram for vtkPLYWriter:

[legend]
List of all members.

## Detailed Description

write Stanford PLY file format

Date:
  2002/05/31 23:12:41

Revision:
  1.9

vtkPLYWriter writes polygonal data in Stanford University PLY format (see http://graphics.stanford.edu/data/3Dscanrep/). The data can be written in either binary (little or big endian) or ASCII representation.

Warning:
  PLY does not handle big endian versus little endian correctly. Also, this class is compiled into VTK only if the PLY library is found during the make process (using CMake).

See also:
  vtkPLYReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (85%)
  - Cedilnik, Andy (10%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkPLYWriter.h)`
  - .`cxx` (`/IO/vtkPLYWriter.cxx)`

Tests:
  vtkPLYWriter (Tests)

Definition at line 67 of file vtkPLYWriter.h.

## Public Types
typedef vtkPolyDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDataByteOrder (int)
virtual int | GetDataByteOrder ()
void | SetDataByteOrderToBigEndian ()
void | SetDataByteOrderToLittleEndian ()
virtual void | SetColorMode (int)
virtual int | GetColorMode ()
void | SetColorModeToDefault ()
void | SetColorModeToUniformCellColor ()
void | SetColorModeToUniformPointColor ()
void | SetColorModeToUniformColor ()
void | SetColorModeToOff ()
virtual void | SetArrayName (const char *)
virtual char * | GetArrayName ()
virtual void | SetComponent (int)
virtual int | GetComponent ()
virtual void | SetLookupTable (vtkScalarsToColors *)
virtual vtkScalarsToColors * | GetLookupTable ()
virtual void | SetColor (unsigned char, unsigned char, unsigned char)
virtual void | SetColor (unsigned char[3])
virtual unsigned char * | GetColor ()
virtual void | GetColor (unsigned char &, unsigned char &, unsigned char &)
virtual void | GetColor (unsigned char[3])
## Static Public Methods
vtkPLYWriter * | New ()
int | IsTypeOf (const char *type)
vtkPLYWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPLYWriter ()
| ~vtkPLYWriter ()
void | WriteData ()
unsigned char * | GetColors (vtkIdType num, vtkDataSetAttributes *dsa)
## Protected Attributes
int | DataByteOrder
char * | ArrayName
int | Component
int | ColorMode
vtkScalarsToColors * | LookupTable
unsigned char | Color [3]

## Member Typedef Documentation

typedef vtkPolyDataWriter vtkPLYWriter::Superclass

| Reimplemented from vtkPolyDataWriter. Definition at line 71 of file vtkPLYWriter.h.

## Constructor & Destructor Documentation

vtkPLYWriter::vtkPLYWriter | ( |  | ) | `[protected]`

vtkPLYWriter::~vtkPLYWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPLYWriter* vtkPLYWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkPolyDataWriter.

virtual const char* vtkPLYWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataWriter.

int vtkPLYWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

virtual int vtkPLYWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

vtkPLYWriter* vtkPLYWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataWriter.

void vtkPLYWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataWriter.

virtual void vtkPLYWriter::SetDataByteOrder | ( | int |  | ) | `[virtual]`

| If the file type is binary, then the user can specify which byte order to use (little versus big endian).

virtual int vtkPLYWriter::GetDataByteOrder | ( |  | ) | `[virtual]`

| If the file type is binary, then the user can specify which byte order to use (little versus big endian).

void vtkPLYWriter::SetDataByteOrderToBigEndian | ( |  | ) | `[inline]`

| If the file type is binary, then the user can specify which byte order to use (little versus big endian). Definition at line 79 of file vtkPLYWriter.h. References VTK_BIG_ENDIAN.

void vtkPLYWriter::SetDataByteOrderToLittleEndian | ( |  | ) | `[inline]`

| If the file type is binary, then the user can specify which byte order to use (little versus big endian). Definition at line 81 of file vtkPLYWriter.h. References VTK_LITTLE_ENDIAN.

virtual void vtkPLYWriter::SetColorMode | ( | int |  | ) | `[virtual]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.)

virtual int vtkPLYWriter::GetColorMode | ( |  | ) | `[virtual]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.)

void vtkPLYWriter::SetColorModeToDefault | ( |  | ) | `[inline]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.) Definition at line 101 of file vtkPLYWriter.h. References VTK_COLOR_MODE_DEFAULT.

void vtkPLYWriter::SetColorModeToUniformCellColor | ( |  | ) | `[inline]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.) Definition at line 103 of file vtkPLYWriter.h. References VTK_COLOR_MODE_UNIFORM_CELL_COLOR.

void vtkPLYWriter::SetColorModeToUniformPointColor | ( |  | ) | `[inline]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.) Definition at line 105 of file vtkPLYWriter.h. References VTK_COLOR_MODE_UNIFORM_POINT_COLOR.

void vtkPLYWriter::SetColorModeToUniformColor | ( |  | ) | `[inline]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.) Definition at line 107 of file vtkPLYWriter.h. References VTK_COLOR_MODE_UNIFORM_COLOR.

void vtkPLYWriter::SetColorModeToOff | ( |  | ) | `[inline]`

| These methods enable the user to control how to add color into the PLY output file. The default behavior is as follows. The user provides the name of an array and a component number. If the type of the array is three components, unsigned char, then the data is written as three separate "red", "green" and "blue" properties. If the type is not unsigned char, and a lookup table is provided, then the array/component are mapped through the table to generate three separate "red", "green" and "blue" properties in the PLY file. The user can also set the ColorMode to specify a uniform color for the whole part (on a vertex colors, face colors, or both. (Note: vertex colors or cell colors may be written, depending on where the named array is found. If points and cells have the arrays with the same name, then both colors will be written.) Definition at line 109 of file vtkPLYWriter.h. References VTK_COLOR_MODE_OFF.

virtual void vtkPLYWriter::SetArrayName | ( | const char * |  | ) | `[virtual]`

| Specify the array name to use to color the data.

virtual char* vtkPLYWriter::GetArrayName | ( |  | ) | `[virtual]`

| Specify the array name to use to color the data.

virtual void vtkPLYWriter::SetComponent | ( | int |  | ) | `[virtual]`

| Specify the array component to use to color the data.

virtual int vtkPLYWriter::GetComponent | ( |  | ) | `[virtual]`

| Specify the array component to use to color the data.

virtual void vtkPLYWriter::SetLookupTable | ( | vtkScalarsToColors * |  | ) | `[virtual]`

| A lookup table can be specified in order to convert data arrays to RGBA colors.

virtual vtkScalarsToColors* vtkPLYWriter::GetLookupTable | ( |  | ) | `[virtual]`

| A lookup table can be specified in order to convert data arrays to RGBA colors.

virtual void vtkPLYWriter::SetColor | ( | unsigned | char,
|  | unsigned | char,
|  | unsigned | char
| ) | `[virtual]`

| Set the color to use when using a uniform color (either point or cells, or both). The color is specified as a triplet of three unsigned chars between (0,255). This only takes effect when the ColorMode is set to uniform point, uniform cell, or uniform color.

virtual void vtkPLYWriter::SetColor | ( | unsigned | char[3] | ) | `[virtual]`

| Set the color to use when using a uniform color (either point or cells, or both). The color is specified as a triplet of three unsigned chars between (0,255). This only takes effect when the ColorMode is set to uniform point, uniform cell, or uniform color.

virtual unsigned char* vtkPLYWriter::GetColor | ( |  | ) | `[virtual]`

| Set the color to use when using a uniform color (either point or cells, or both). The color is specified as a triplet of three unsigned chars between (0,255). This only takes effect when the ColorMode is set to uniform point, uniform cell, or uniform color.

virtual void vtkPLYWriter::GetColor | ( | unsigned char & | ,
|  | unsigned char & | ,
|  | unsigned char & |
| ) | `[virtual]`

| Set the color to use when using a uniform color (either point or cells, or both). The color is specified as a triplet of three unsigned chars between (0,255). This only takes effect when the ColorMode is set to uniform point, uniform cell, or uniform color.

virtual void vtkPLYWriter::GetColor | ( | unsigned | char[3] | ) | `[virtual]`

| Set the color to use when using a uniform color (either point or cells, or both). The color is specified as a triplet of three unsigned chars between (0,255). This only takes effect when the ColorMode is set to uniform point, uniform cell, or uniform color.

void vtkPLYWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPolyDataWriter.

unsigned char* vtkPLYWriter::GetColors | ( | vtkIdType | num,
|  | vtkDataSetAttributes * | dsa
| ) | `[protected]`

## Member Data Documentation

int vtkPLYWriter::DataByteOrder`[protected]`

| Definition at line 148 of file vtkPLYWriter.h.

char* vtkPLYWriter::ArrayName`[protected]`

| Definition at line 149 of file vtkPLYWriter.h.

int vtkPLYWriter::Component`[protected]`

| Definition at line 150 of file vtkPLYWriter.h.

int vtkPLYWriter::ColorMode`[protected]`

| Definition at line 151 of file vtkPLYWriter.h.

vtkScalarsToColors* vtkPLYWriter::LookupTable`[protected]`

| Definition at line 152 of file vtkPLYWriter.h.

unsigned char vtkPLYWriter::Color[3]`[protected]`

| Definition at line 153 of file vtkPLYWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkPLYWriter.h